<?php
/**************************************************
    AD REVENUE SHARING MOD V1.2 - Ars.template.php
**************************************************/

// TEMPLATE FOR MAIN/SETTINGS
function template_settings()
{
	global $txt, $scripturl, $settings, $modSettings, $context;

	$checkedSetting = array('ars_enabled'=>'','ars_useadsense'=>'','ars_useypn'=>'','ars_usetextlinkads'=>'','ars_logimpressions'=>'');
	if($modSettings['ars_enabled'] == 1) { $checkedSetting['ars_enabled'] = 'checked="checked"';}
	if($modSettings['ars_useadsense'] == 1) { $checkedSetting['ars_useadsense'] = 'checked="checked"';}
	if($modSettings['ars_useypn'] == 1) { $checkedSetting['ars_useypn'] = 'checked="checked"';}
	if($modSettings['ars_usetextlinkads'] == 1) { $checkedSetting['ars_usetextlinkads'] = 'checked="checked"';}
	if($modSettings['ars_logimpressions'] == 1) { $checkedSetting['ars_logimpressions'] = 'checked="checked"';}
	
	echo '<form action="' . $scripturl . '?action=managears;sa=settings;save" method="post" accept-charset="', $context['character_set'], '" style="margin: 0;">
		<table border="0" cellspacing="0" cellpadding="4" align="center" width="80%" class="tborder">
			<tr class="titlebg">
				<td colspan="4">'.$txt['ars_settings'].'</td>
			</tr>
			<tr class="windowbg2">
				<td width="18px"><a href="', $scripturl, '?action=managears;sa=help;help=ars_settings_enabled" onclick="return reqWin(this.href);" class="help"><img src="', $settings['images_url'], '/helptopics.gif" alt="', $txt[119], '" align="top" /></a>
				</td>
				<td>'.$txt['ars_settings_enabled'].'</td>
				<td><input type="checkbox" '.$checkedSetting['ars_enabled'].' name="ars_settings_enabled" value="1"/></td>
				<td></td>
			</tr>
			<tr class="windowbg2">
				<td width="18px"><a href="', $scripturl, '?action=managears;sa=help;help=ars_settings_useadsense" onclick="return reqWin(this.href);" class="help"><img src="', $settings['images_url'], '/helptopics.gif" alt="', $txt[119], '" align="top" /></a></td>
				<td>'.$txt['ars_settings_useadsense'].'</td>
				<td><input type="checkbox" '.$checkedSetting['ars_useadsense'].' name="ars_settings_useadsense" value="1"/></td>
				<td></td>
			</tr>
			<tr class="windowbg2">
				<td width="18px"><a href="', $scripturl, '?action=managears;sa=help;help=ars_settings_useypn" onclick="return reqWin(this.href);" class="help"><img src="', $settings['images_url'], '/helptopics.gif" alt="', $txt[119], '" align="top" /></a></td>
				<td>'.$txt['ars_settings_useypn'].'</td>
				<td><input type="checkbox" '.$checkedSetting['ars_useypn'].' name="ars_settings_useypn" value="1"/></td>
				<td></td>
			</tr>
			<tr class="windowbg2">
				<td width="18px"><a href="', $scripturl, '?action=managears;sa=help;help=ars_settings_usetextlinkads" onclick="return reqWin(this.href);" class="help"><img src="', $settings['images_url'], '/helptopics.gif" alt="', $txt[119], '" align="top" /></a></td>
				<td>'.$txt['ars_settings_usetextlinkads'].'</td>
				<td><input type="checkbox" '.$checkedSetting['ars_usetextlinkads'].' name="ars_settings_usetextlinkads" value="1"/></td>
				<td></td>
			</tr>
			<tr class="windowbg2">
				<td width="18px"><a href="', $scripturl, '?action=managears;sa=help;help=ars_settings_logimpressions" onclick="return reqWin(this.href);" class="help"><img src="', $settings['images_url'], '/helptopics.gif" alt="', $txt[119], '" align="top" /></a></td>
				<td>'.$txt['ars_settings_logimpressions'].'</td>
				<td><input type="checkbox" '.$checkedSetting['ars_logimpressions'].' name="ars_settings_logimpressions" value="1"/></td>
				<td></td>
			</tr>
			<tr class="windowbg2">
				<td width="18px"><a href="', $scripturl, '?action=managears;sa=help;help=ars_settings_bannedusers" onclick="return reqWin(this.href);" class="help"><img src="', $settings['images_url'], '/helptopics.gif" alt="', $txt[119], '" align="top" /></a></td>
				<td>'.$txt['ars_settings_bannedusers'].'</td>
				<td><input type="text" name="ars_settings_bannedusers" value="'.$modSettings['ars_bannedusers'].'" size="18"/></td>
				<td></td>
			</tr>
			<tr class="windowbg2">
				<td colspan="4">
					<hr size="1" width="100%" class="hrcolor" />
				</td>
			</tr>
			<tr class="windowbg2">
				<td width="18px"><a href="', $scripturl, '?action=managears;sa=help;help=ars_settings_defaultadshare" onclick="return reqWin(this.href);" class="help"><img src="', $settings['images_url'], '/helptopics.gif" alt="', $txt[119], '" align="top" /></a></td>
				<td>'.$txt['ars_settings_defaultadshare'].'</td>
				<td>
					<select name="ars_settings_defaultadshare">
					<option value="'.$modSettings['ars_defaultadshare'].'">'.$modSettings['ars_defaultadshare'].'%</option>';
		// unset the checked setting
		unset($checkedSetting);
		
		$percents = array('0','5','10','20','30','40','50','60','70','80','90','95','100');
			
		// WRITES THE OPTIONS IN THE DROPDOWN FOR PERCENTAGES
		foreach ($percents as $percentage) {
		
			if ($percentage != $modSettings['ars_defaultadshare']) {
				echo '<option value="'.$percentage.'">'.$percentage.'%</option>';
			}
		}
		unset ($percents,$percentage);		
		echo '</select>				
				</td>
				<td></td>
			</tr>
			<tr class="windowbg2">
				<td><a href="', $scripturl, '?action=managears;sa=help;help=ars_settings_adsenseid" onclick="return reqWin(this.href);" class="help"><img src="', $settings['images_url'], '/helptopics.gif" alt="', $txt[119], '" align="top" /></a></td>
				<td>'.$txt['ars_settings_adsenseid'].'</td>
				<td><input type="text" value="'.$modSettings['ars_adsenseid'].'" name="ars_settings_adsenseid" size="18" maxlength="23"/></td>
				<td><a href="http://www.google.com/adsense/" target="_blank">'.$txt['ars_register'].'</a></td>
			</tr>
			<tr class="windowbg2">
				<td><a href="', $scripturl, '?action=managears;sa=help;help=ars_settings_adsensechannel" onclick="return reqWin(this.href);" class="help"><img src="', $settings['images_url'], '/helptopics.gif" alt="', $txt[119], '" align="top" /></a></td>
				<td>'.$txt['ars_settings_adsensechannel'].'</td>
				<td><input type="text" value="'.$modSettings['ars_adsensechannel'].'" name="ars_settings_adsensechannel" size="18" maxlength="10"/></td>
				<td></td>
			</tr>
			<tr class="windowbg2">
				<td><a href="', $scripturl, '?action=managears;sa=help;help=ars_settings_ypnid" onclick="return reqWin(this.href);" class="help"><img src="', $settings['images_url'], '/helptopics.gif" alt="', $txt[119], '" align="top" /></a></td>
				<td>'.$txt['ars_settings_ypnid'].'</td>
				<td><input type="text" value="'.$modSettings['ars_ypnid'].'" name="ars_settings_ypnid" size="18" maxlength="10"/></td>
				<td><a href="http://publisher.yahoo.com/" target="_blank">'.$txt['ars_register'].'</a></td>
			</tr>
			<tr class="windowbg2">
				<td><a href="', $scripturl, '?action=managears;sa=help;help=ars_settings_ypnsection" onclick="return reqWin(this.href);" class="help"><img src="', $settings['images_url'], '/helptopics.gif" alt="', $txt[119], '" align="top" /></a></td>
				<td>'.$txt['ars_settings_ypnsection'].'</td>
				<td><input type="text" value="'.$modSettings['ars_ypnsection'].'" name="ars_settings_ypnsection" size="18" maxlength="5"/></td>
				<td></td>
			</tr>
			<tr class="windowbg2">
				<td colspan="4" align="center">'.$txt['ars_settings_ypnusonly'].'</td>
			</tr>
			<tr class="windowbg2">
				<td><a href="', $scripturl, '?action=managears;sa=help;help=ars_settings_textlinkadsid" onclick="return reqWin(this.href);" class="help"><img src="', $settings['images_url'], '/helptopics.gif" alt="', $txt[119], '" align="top" /></a></td>
				<td>'.$txt['ars_settings_textlinkadsid'].'</td>
				<td><input type="text" value="'.$modSettings['ars_textlinkadsid'].'" name="ars_settings_textlinkadsid" size="15" maxlength="6"/></td>
				<td><a href="http://tinyurl.com/35koyy" target="_blank">'.$txt['ars_register'].'</a></td>
			</tr>';
	// ADD THE SAVE BUTTON
		echo '
				<tr class="windowbg">
					<td colspan="4" align="center" style="padding-top: 1ex; padding-bottom: 1ex;">
						<input type="submit" name="save" value="', $txt['ars_save'], '" style="margin: 2px;" />
						<input type="hidden" name="sc" value="' . $context['session_id'] . '" />
					</td>
				</tr>
			</table>
			</form>';
	
}

// AD SETUP TEMPLATE TO ENABLE/DISABLE SPECIFIC AD LOCATIONS AND WHAT COLOR SCHEMES TO USE
function template_adsetupArs()
{
	// GLOBALS WE NEED TO USE
	global $db_prefix, $context, $settings, $options, $scripturl, $txt, $modSettings;

	// SETUP TABLE AND HEADERS
	echo '<form action="' . $scripturl . '?action=managears;sa=adsetup;save" method="post" accept-charset="', $context['character_set'], '" style="margin: 0;">
			<table border="0" cellspacing="1" cellpadding="4" align="center" width="80%" class="bordercolor">
				<tr class="titlebg"><td colspan="4" style="padding: 4px;">'.$txt['ars_adsetup_customcolors'].'</td></tr>
				<tr class="windowbg2">
					<td align="center">'.$txt['ars_adsetup_bgcolor'].'</td>
					<td align="center">#<input type="text" value="'.$modSettings['ars_adsetup_bgcolor'].'" name="ars_adsetup_bgcolor" size="15" maxlength="6"/></td>
					<td align="center">'.$txt['ars_adsetup_bordercolor'].'</td>
					<td align="center">#<input type="text" value="'.$modSettings['ars_adsetup_bordercolor'].'" name="ars_adsetup_bordercolor" size="15" maxlength="6"/></td>
				</tr>
				<tr class="windowbg2">
					<td align="center">'.$txt['ars_adsetup_linkcolor'].'</td>
					<td align="center">#<input type="text" value="'.$modSettings['ars_adsetup_linkcolor'].'" name="ars_adsetup_linkcolor" size="15" maxlength="6"/></td>
					<td align="center">'.$txt['ars_adsetup_urlcolor'].'</td>
					<td align="center">#<input type="text" value="'.$modSettings['ars_adsetup_urlcolor'].'" name="ars_adsetup_urlcolor" size="15" maxlength="6"/></td>
				</tr>
				<tr class="windowbg2">
					<td align="center">'.$txt['ars_adsetup_textcolor'].'</td>
					<td align="center">#<input type="text" value="'.$modSettings['ars_adsetup_textcolor'].'" name="ars_adsetup_textcolor" size="15" maxlength="6"/></td>
					<td align="center">'.$txt['ars_adsetup_textlinkadsstyle'].'</td>
					<td align="center">
						<select name="ars_adsetup_textlinkadsstyle">';
					
					// ALL THE POSSIBLE STYLES IN ONE ARRAY
					$style = array('A', 'B', 'C', 'D', 'E', 'F', 'Z');
					
		// FIND THE SETTING AND WRITE IT
		foreach ($style as $type) {
			if ($modSettings['ars_adsetup_textlinkadsstyle'] == $type) {
				echo '<option value="'.$type.'">'.$txt['ars_adsetup_tla_'.$type].'</option>';
			// tidy up
			unset($style[$type]);
			}
		}
		// tidy up
		unset ($type);
		
		// WRITE THE REST OF THE OPTIONS EXCEPT THE ONE WE HAVE ALREADY DONE
		foreach ($style as $type) {
				echo '<option value="'.$type.'">'.$txt['ars_adsetup_tla_'.$type].'</option>';
		}
		
		// tidy up
		unset ($style,$type);
		
		echo'</select>
				</td>
			</tr>
		</table><br/>';
			
		// NOW THE SECOND TABLE FOR SELECTING WHICH ADS TO SHOW
		echo '<table border="0" cellspacing="1" cellpadding="4" align="center" width="80%" class="bordercolor">
			<tr class="titlebg"><td colspan="4" style="padding: 4px;">'.$txt['ars_adsetup_adselection'].'</td></tr>
		<tr class="catbg3">
				<td align="center">'.$txt['ars_adsetup_adplace'].'</td>
				<td align="center">'.$txt['ars_adsetup_enabled'].'</td>
				<td align="center">'.$txt['ars_adsetup_size'].'</td>
				<td align="center">'.$txt['ars_adsetup_scheme'].'</td>
			</tr>';	
				
				
				
			// USING A LOOP HERE TO WRITE THE TABLE MORE EFFICIENTLY
		$selection = array('top'=>'h','bottom'=>'h','links'=>'h','welcome'=>'h','post'=>'h','left'=>'v','right'=>'v','sidebars'=>'v','tables'=>'h');
			
		foreach($selection as $adplace => $type) {
			
			echo '<tr class="windowbg2">
					<td align="center">'.$txt['ars_adsetup_'.$adplace].'</td>
					<td align="center"><input type="checkbox" ';
			// CHECK THE CHECKBOX IF THE SETTING = 1 ELSE NOT CHECKED	
			if ($modSettings['ars_adsetup_'.$adplace.'_enabled'] == 1) { echo 'checked="checked" ';}
		
			echo 'name="ars_adsetup_'.$adplace.'_enabled" value="1"/></td>';
			
			// NOW DO THE SIZES
			echo '<td align="center"><select name="ars_adsetup_'.$adplace.'_size">';
			
			if ($modSettings['ars_adsetup_'.$adplace.'_size'] != "") {
				echo '<option value="'.$modSettings['ars_adsetup_'.$adplace.'_size'].'">'.$modSettings['ars_adsetup_'.$adplace.'_size'].'</option>';
			}
		
			// LIST ALL THE VARIOUS ADTYPES BASED ON WHETHER HORIZONTAL OR VERTICAL
			if ($type == "h") {
				// horizontal ad sizes
				$adsizes = array('728x90','468x60','234x60','125x125');
			} else {
				// vertical ad sizes
				$adsizes = array('120x600','160x600','120x240','180x150','125x125','120x90');
			}
			// NOW WRITE EACH OPTION FOR EACH ADSIZE
			foreach ($adsizes as $adsize) {
					
					if ($adsize != $modSettings['ars_adsetup_'.$adplace.'_size']) {
						echo '<option value="'.$adsize.'">'.$adsize.'</option>';
					}
			}
			// CLOSE THE SELECT
			echo '</select></td>';
			// UNSET VARIABLES NOT NEEDED FURTHERON THIS PAGE
			unset($adsizes,$adsize);
			
			// NOW THE COLOR SELECT
			echo '<td align="center"><select name="ars_adsetup_'.$adplace.'_scheme">';
			
			// WRITE THE PRESELECTED COLOR
			if ($modSettings['ars_adsetup_'.$adplace.'_scheme'] != "") {
				$selected = $modSettings['ars_adsetup_'.$adplace.'_scheme'];
				echo '<option value="'.$modSettings['ars_adsetup_'.$adplace.'_scheme'].'">'.$txt['ars_adsetup_scheme_'.$selected].'</option>';
			}
		
			// LIST ALL THE COLOR SCHEMES
			$colors = array('default','random','custom','red','orange','yellow','green','blue','pink','black','white');
			
			// NOW WRITE EACH OPTION FOR EACH ADSIZE
			foreach ($colors as $color) {
					
					if ($color != $modSettings['ars_adsetup_'.$adplace.'_scheme']) {
						echo '<option value="'.$color.'">'.$txt['ars_adsetup_scheme_'.$color].'</option>';
					}
			}
			// CLOSE THE SELECT
			echo '</select></td>
			</tr>';
			
		}

	// ADD THE SAVE BUTTON
		echo '
				<tr class="windowbg">
					<td colspan="4" align="center" style="padding-top: 1ex; padding-bottom: 1ex;">
						<input type="submit" name="save" value="', $txt['ars_save'], '" style="margin: 2px;" />
						<input type="hidden" name="sc" value="' . $context['session_id'] . '" />
					</td>
				</tr>
			</table>
			</form>';
				
}

// TEMPLATE THAT SETUPS UP HOW GENEROUS THE SHARING IS PER MEMBERGROUP
function template_adshareArs()
{
	// GLOBALS WE NEED TO USE
	global $db_prefix, $context, $settings, $options, $scripturl, $txt, $membergroups;

	// SETUP TABLE AND HEADERS
	echo '<form action="' . $scripturl . '?action=managears;sa=adshare;save" method="post" accept-charset="', $context['character_set'], '" style="margin: 0;">
			<table border="0" cellspacing="1" cellpadding="4" align="center" width="80%" class="bordercolor">
				<tr class="titlebg"><td colspan="7" style="padding: 4px;">', $txt['ars_adshare'], '</td></tr>
				<tr class="catbg3">
					<td width="10%" align="center">'.$txt['ars_adshare_idgroup'].'</td>
					<td width="25%" align="center">'.$txt['ars_adshare_membergroup'].'</td>
					<td width="11%" align="center">'.$txt['ars_adshare_posts'].'</td>
					<td width="15%" align="center">'.$txt['ars_adshare_share'].'</td>
					<td width="15%" align="center">'.$txt['ars_adshare_random'].'</td>
					<td width="12%" align="center">'.$txt['ars_adshare_showads'].'</td>
					<td width="12%" align="center">'.$txt['ars_adshare_enabled'].'</td>
				</tr>';
				
	// FETCH EACH MEMBERGROUP, ONE BY ONE & WRITE THE INFO
	foreach($membergroups as $row) {
		echo '<tr><td align="center" class="windowbg">'.$row['ID_GROUP'].'</td><td align="center" class="windowbg2">'.$row['groupName'].'</td>';
		
		// FOR NON-POST BASED WE WONT SHOW THIS BIT
		if ($row['minPosts'] == -1) {
			echo '<td align="center" class="windowbg2">-</td>';
		} else {
			echo '<td align="center" class="windowbg2">'.$row['minPosts'].'</td>';
		}
		
		// WRITE THE SHARE RATIO BIT
		echo '<td align="center" class="windowbg2">
				<select name="ars_share_'.$row['ID_GROUP'].'">
					<option value="'.$row['ars_share'].'">'.$row['ars_share'].'%</option>';
					
		$percents = array('0','5','10','20','30','40','50','60','70','80','90','95','100');
				
		foreach ($percents as $percentage) {
		
			if ($percentage != $row['ars_share']) {
				echo '<option value="'.$percentage.'">'.$percentage.'%</option>';
			}
		}
				
		echo '</select></td>
		<td align="center" class="windowbg2">
			<input type="checkbox" ';
		// CHECK THE CHECKBOX IF THE SETTING = 1 ELSE NOT CHECKED	
		if ($row['ars_random'] == 1) { echo 'checked="checked" ';}
		
		echo' name="ars_random_'.$row['ID_GROUP'].'" value="1"/>
		</td>
		<td align="center" class="windowbg2">
			<input type="checkbox" ';
		// CHECK THE CHECKBOX IF THE SETTING = 1 ELSE NOT CHECKED	
		if ($row['ars_showads'] == 1) { echo 'checked="checked" ';}
		
		echo 'name="ars_showads_'.$row['ID_GROUP'].'" value="1"/>
		</td>
		<td align="center" class="windowbg2">
		<input type="checkbox" ';
		// CHECK THE CHECKBOX IF THE SETTING = 1 ELSE NOT CHECKED	
		if ($row['ars_enabled'] == 1) { echo 'checked="checked" ';}
		
		echo 'name="ars_enabled_'.$row['ID_GROUP'].'" value="1"/>
		</td>
		</tr>';
		
	}
	// tidy up
	unset($membergroups, $row);

	echo '<tr class="catbg3">';
	
	// WRITE THE ROW WITH THE HELP ICONS IN
	$cols =	array('idgroup','membergroup','posts','share','random','showads','enabled');
	foreach($cols as $col) {
		echo '<td align="center"><a href="', $scripturl, '?action=managears;sa=help;help=ars_adshare_'.$col.'" onclick="return reqWin(this.href);" class="help"><img src="', $settings['images_url'], '/helptopics.gif" alt="', $txt[119], '" align="top" /></a></td>';
	}
	unset($cols,$col);
				
	// ADD THE SAVE BUTTON
		echo '</tr>
				<tr class="windowbg">
					<td colspan="7" align="center" style="padding-top: 1ex; padding-bottom: 1ex;">
						<input type="submit" name="save" value="', $txt['ars_save'], '" style="margin: 2px;" />
						<input type="hidden" name="sc" value="' . $context['session_id'] . '" />
					</td>
				</tr>
			</table>
			</form>';
			
}	

// TEMPLATE THAT HAS A REPORT SHOWING DETAILS OF AD VIEWS + AD SHARES
function template_reportsArs()
{
	// GLOBALS WE NEED TO USE
	global $db_prefix, $context, $settings, $options, $scripturl, $txt, $modSettings, $helptxt, $participants;

	// SETUP TABLE AND HEADERS
	echo '<table border="0" cellspacing="1" cellpadding="4" align="center" width="80%" class="bordercolor">
			<tr class="titlebg"><td colspan="4" style="padding: 4px;">', $txt['ars_reports_topearners'], '</td></tr>
			<tr class="catbg3">
				<td width="15%" align="center">'.$txt['ars_reports_idmember'].'</td>
				<td width="30%" align="center">'.$txt['ars_reports_name'].'</td>
				<td width="20%" align="center">'.$txt['ars_reports_idgroups'].'</td>
				<td width="35%" align="center">'.$txt['ars_reports_impressions'].'</td>
			</tr>';
	
		foreach($participants as $row) {

			// THE GROUPS STRING COMPRISES OF THREE PARTS, SET IT UP WITH THE POST GROUP
			$groups = $row['ID_POST_GROUP'];
			// THERE IS NO GROUP ID ZERO SO DONT BOTHER INCLUDING IT
			if ($row['ID_GROUP'] != 0) {
				$groups .=  ','.$row['ID_GROUP'];
			}
			// ADD ALL THE ADDITIONAL GROUPS
			if ($row['additionalGroups'] != "") {
				$groups .= ','.$row['additionalGroups'];
			}
			
			echo '
			<tr class="windowbg2">
				<td align="center">'.$row['ID_MEMBER'].'</td>
				<td align="center"><a href="'.$scripturl.'?action=profile;u='.$row['ID_MEMBER'].';sa=adrevenuesharing">'.$row['memberName'].'</a></td>
				<td align="center">'.$groups.'</td>
				<td align="center">'.$row['impressions'].'</td>
			</tr>';
			
			// tidy up
			unset($groups);
		}
		unset($participants,$row);

		// IF NO PARTICIPANTS, TELL THE ADMIN
		if ($context['ars_participants'] == 0) {
		echo '
				<tr class="windowbg2">
					<td align="center" colspan="4">'.$txt['ars_reports_noparticipants'].'</td>
				</tr>';
		}
		
		echo '	<tr>
					<td colspan="4" class="', empty($settings['use_tabs']) ? 'catbg' : 'titlebg', '">
						', $txt[139], ': ', $context['page_index'], '
					</td>
				</tr>
			</table><br/>';

		// SETUP ARS STATS TABLE
	echo '<table border="0" cellspacing="1" cellpadding="4" align="center" width="80%" class="bordercolor">
			<tr class="titlebg">
				<td colspan="4" style="padding: 4px;">'. $txt['ars_reports_stats'].'</td>
			</tr>
			<tr class="windowbg2">
				<td width="25%" align="center">'.$txt['ars_reports_participants'].'</td>
				<td width="25%" align="center">'.$context['ars_participants'].'</td>
				<td width="25%" align="center">'.$txt['ars_reports_totaluserimps'].'</td>
				<td width="25%" align="center">'.$context['ars_userimpressions'].'</td>
			</tr>
			<tr class="windowbg2">
				<td width="25%" align="center">'.$txt['ars_reports_boardimpressions'].'</td>
				<td width="25%" align="center">'.$modSettings['ars_impressions'].'</td>
				<td width="25%" align="center">'.$txt['ars_reports_totalimpressions'].'</td>
				<td width="25%" align="center">'.($context['ars_userimpressions'] + $modSettings['ars_impressions']).'</td>
			</tr>
			<tr class="windowbg2">
				<td width="25%" align="center">'.$txt['ars_reports_adshare'].'</td>
				<td width="25%" align="center">';
				$board = ($context['ars_userimpressions'] + $modSettings['ars_impressions'] != 0) ? round( ($modSettings['ars_impressions']/($context['ars_userimpressions'] + $modSettings['ars_impressions']))*100,2) : 50;
				echo $board.'% : '.(100-$board).'%';
				
			echo '</td>
				<td width="25%" align="center"></td>
				<td width="25%" align="center"></td></tr></table>';
				
}

// TEMPLATE THAT THANKS MOI FOR THIS MOD! ;)
function template_creditsArs()
{
	global $txt;
		echo '
		<table border="0" cellspacing="0" cellpadding="4" align="center" width="80%" class="tborder">
			<tr class="titlebg">
				<td>'.$txt['ars_credits'].'</td>
			</tr>
			<tr class="windowbg2">
				<td>';
		// credits are blocks of text, so makes sense to put it in the language file.
		echo $txt['ars_credits_thankyou'];
				echo '</td>
			</tr>
		</table>';
}

// TEMPLATE FOR POPUP MENU - NO CHANGES MADE TO THIS FUNCTION WHATSOEVEVER
// FROM SMF 1.1.1 - THEREFORE COPYRIGHT SIMPLE MACHINES LLC
function template_helpArs()
{
	global $context, $settings, $options, $txt;

	// Since this is a popup of its own we need to start the html, etc.
	echo '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"', $context['right_to_left'] ? ' dir="rtl"' : '', '>
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=', $context['character_set'], '" />
		<title>', $context['page_title'], '</title>
		<link rel="stylesheet" type="text/css" href="', $settings['theme_url'], '/style.css" />
		<style type="text/css">';

	// Internet Explorer 4/5 and Opera 6 just don't do font sizes properly. (they are bigger...)
	if ($context['browser']['needs_size_fix'])
		echo '
			@import(', $settings['default_theme_url'], '/fonts-compat.css);';

	// Just show the help text and a "close window" link.
	echo '
		</style>
	</head>
	<body style="margin: 1ex;">
		', $context['help_text'], '<br />
		<br />
		<div align="center"><a href="javascript:self.close();">', $txt[1006], '</a></div>
	</body>
</html>';

}

?>